﻿CREATE TABLE [dbo].[Group] 
(
    [Id] INT IDENTITY PRIMARY KEY,
    [GroupId] UNIQUEIDENTIFIER DEFAULT NEWID() NOT NULL,
    [Name] NVARCHAR (70) NOT NULL,
    [IdCreator] NVARCHAR (450) NULL,
    FOREIGN KEY ([IdCreator]) REFERENCES [dbo].[AspNetUsers] ([Id]) ON DELETE SET NULL,
    UNIQUE NONCLUSTERED ([GroupId] ASC),
    UNIQUE NONCLUSTERED ([Name] ASC)
);